Skip to main content
`Ctrl`+`K`

# PetscOptionsHelpPrintedCheck

Checks if a particular pre, name pair has previous been entered (meaning the help message was printed)

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscOptionsHelpPrintedCheck(PetscOptionsHelpPrinted hp, const char *pre, const char *name, PetscBool *found)

Not Collective

## Input Parameters

- hp - the object used to manage tracking what help messages have been printed

- pre - the prefix part of the string, many be `NULL`

- name - the string to look for (cannot be `NULL`)

## Output Parameter

- found - `PETSC_TRUE` if the string was already set

## See Also

`PetscOptionsHelpPrintedCreate()`

## Level

intermediate

## Location

src/sys/classes/viewer/interface/viewreg.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages